Bug 223651 - Dist.sh unable to output fedora version
Summary: Dist.sh unable to output fedora version
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jon Masters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-21 08:58 UTC by Andrea Musuruane
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 18:25:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix fedora version in dist.sh (364 bytes, patch)
2007-01-21 08:58 UTC, Andrea Musuruane
no flags Details | Diff

Description Andrea Musuruane 2007-01-21 08:58:51 UTC
Description of problem:
/usr/lib/rpm/redhat/dist.sh has a trivial bug. It references variable
$DISTFEDORA which is not defined. Therefore it is unable to output the fedora
version used.

Version-Release number of selected component (if applicable):
8.0.45

How reproducible:
Always

Steps to Reproduce:
1. Open a terminal
2. Type /usr/lib/rpm/redhat/dist.sh --fc 

  
Actual results:
It doesn't return anything under fedora.

Expected results:
It should return fedora version.

Additional info:
A patch is applied to fix this bug.

Comment 1 Andrea Musuruane 2007-01-21 08:58:51 UTC
Created attachment 146080 [details]
Patch to fix fedora version in dist.sh

Comment 2 Jeremy Katz 2007-06-19 18:25:09 UTC
Fix applied to git and will be in the next version.  Thanks for the  patch!


Note You need to log in before you can comment on or make changes to this bug.